#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x48fbf9ef, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x25488595, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x6745647e, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x22f29680, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x1ceb0871, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x29027d54, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xc901f3da, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x90c69f2c, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x4d94d062, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xa7da7935, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x59f95e3e, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xe66d2a7b, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x6350614c, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x04175885, "_gpl");
SYMBOL_CRC(dccp_connect, 0xc635b336, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x31c2b1f9, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x46ea7620, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xaa0d430f, "_gpl");
SYMBOL_CRC(dccp_done, 0xfb019115, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xc99f5006, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0xcd5b5a15, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xde8ed7bd, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x1b5be816, "_gpl");
SYMBOL_CRC(dccp_poll, 0xe1e3bef6, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x95a37cfe, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xf1b0d90f, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xebda7924, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x7d367a4c, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x7130edb5, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xaff110a2, "_gpl");
SYMBOL_CRC(dccp_close, 0x7b13f85b, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x9f14349f, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x7f256338, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0xe9ff6e6c, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb1899881, "consume_skb" },
	{ 0x49e9ea3d, "sock_wmalloc" },
	{ 0x472332ef, "trace_raw_output_prep" },
	{ 0xecc591c7, "skb_dequeue" },
	{ 0x98e46228, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xba41d078, "trace_event_printf" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x5363fbb8, "trace_event_raw_init" },
	{ 0x100bddf8, "proc_dointvec_ms_jiffies" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x2b404962, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x524b03d9, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x412730c8, "kmem_cache_create" },
	{ 0x178fe8b2, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x99d72e06, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3fd52e54, "trace_event_buffer_commit" },
	{ 0x5f350cc1, "register_net_sysctl_sz" },
	{ 0xe7dc7fe6, "inet_sock_destruct" },
	{ 0x22f4d72e, "inet_put_port" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf1653dd, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xbeea74eb, "__alloc_skb" },
	{ 0x5d905eca, "sk_reset_timer" },
	{ 0x922db506, "kmem_cache_alloc" },
	{ 0x381d86f7, "skb_queue_tail" },
	{ 0x4d01cf37, "sk_stream_wait_close" },
	{ 0x9b96d488, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x192943fe, "perf_trace_run_bpf_submit" },
	{ 0x215e000a, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28d9857d, "sk_free" },
	{ 0xddf8fcd4, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0xbd9a1fbf, "skb_push" },
	{ 0xa74e0693, "kmem_cache_free" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x116f02f4, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x599c2c5e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x141b39dd, "skb_copy_datagram_iter" },
	{ 0xf23d3ea9, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0xb082b759, "sk_wait_data" },
	{ 0xbc598f5d, "inet_csk_clone_lock" },
	{ 0xb1ac9311, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c6a3097, "inet_csk_listen_start" },
	{ 0x9769368, "sk_free_unlock_clone" },
	{ 0x663d760f, "sock_rfree" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc47c7cc, "skb_set_owner_w" },
	{ 0x5daf5af3, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x19858e93, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd208d2e9, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x433a6774, "skb_clone" },
	{ 0x508bf8ff, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x29f2685b, "dst_release" },
	{ 0xf580714c, "sk_stream_wait_connect" },
	{ 0xb587040d, "_copy_from_iter" },
	{ 0x66a8b489, "inet_csk_destroy_sock" },
	{ 0x373deb52, "sk_stop_timer" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xdf1f722b, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe64db987, "param_ops_int" },
	{ 0x61478100, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2569222d, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf95f6394, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x63d67aeb, "kmem_cache_destroy" },
	{ 0xae7611ca, "inet_csk_complete_hashdance" },
	{ 0xf0b94d69, "release_sock" },
	{ 0x9075dd25, "inet_csk_reqsk_queue_drop" },
	{ 0xc45a1286, "__inet_twsk_schedule" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

